---
lang: en
title: 'API docs: repository.defaulthasonerepository.patch'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.defaulthasonerepository.patch.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [DefaultHasOneRepository](./repository.defaulthasonerepository.md) &gt; [patch](./repository.defaulthasonerepository.patch.md)

## DefaultHasOneRepository.patch() method

<b>Signature:</b>

```typescript
patch(dataObject: DataObject<TargetEntity>, options?: Options): Promise<Count>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataObject | <code>DataObject&lt;TargetEntity&gt;</code> |  |
|  options | <code>Options</code> |  |

<b>Returns:</b>

`Promise<Count>`


